* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    flex: 1;
}

main {
    flex: 1;
}

header {
    background: #333;
    color: #fff;
    padding: 1rem 0;
}

header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
}

header .logo h1 {
    margin-left: 20px;
}

header ul {
    display: flex;
    list-style: none;
    margin-right: 20px;
}

header ul li {
    margin: 0 15px;
}

header ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 1.1rem;
}

footer {
    text-align: center;
    padding: 10px;
    background: #333;
    color: #fff;
    position: relative;
    bottom: 0;
    width: 100%;
}

#apps {
    padding: 50px;
    text-align: center;
    background: #f4f4f4;
}

#apps h2 {
    margin-bottom: 20px;
}

.app-logos {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.app-logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    width: 300px;
    transition: background-color 0.3s ease;
}

.app-logo img {
    width: 250px;
    height: 130px;
    object-fit: contain;
    margin-bottom: 10px;
}

.app-logo p {
    font-size: 1.1rem;
    color: #333;
}

.app-logo a {
    text-decoration: none;
    color: inherit; 
    display: flex;
    flex-direction: column;
    align-items: center;
}

.app-logo:hover {
    background-color: #cccccc;  
    color: #ffffff; 
    cursor: pointer;
}

.app-logo:hover p {
    color: #3b3b3b;
}
